project(apCrossBlend)

set(SRC_FILES 
    "apCrossBlend.cpp")
    
set(META_FILES
    "apCrossBlend.mtd")
    
set(TEMPLATE_FILES
    "apCrossBlendTemplate.py")
    
include_directories(${ARNOLD_INCLUDE_PATH})
add_library(${PROJECT_NAME} SHARED ${SRC_FILES})
set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")

target_link_libraries(${PROJECT_NAME} ${ARNOLD_AI_LIBRARY})

set(INSTALL_SHADER_TARGET "${CMAKE_INSTALL_PREFIX}/${ARNOLD_VERSION}/${CMAKE_PROJECT_NAME}/shaders")
set(INSTALL_TEMPLATE_TARGET "${CMAKE_INSTALL_PREFIX}/${ARNOLD_VERSION}/${CMAKE_PROJECT_NAME}/templates")

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${INSTALL_SHADER_TARGET})
install(FILES ${META_FILES} DESTINATION ${INSTALL_SHADER_TARGET})
install(FILES ${TEMPLATE_FILES} DESTINATION ${INSTALL_TEMPLATE_TARGET})